.progress-container {
  position: fixed;
  top: 0;
  width: 100%;
  height: 100vh;
  background: rgba(32, 31, 41, 0.9);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  z-index: 999;
}
.progress-container .text {
  color: #ff5e03;
  font-weight: bold;
  font-size: 2rem;
  letter-spacing: 5px;
  position: absolute;
  bottom: 0;
  -webkit-transform: translateY(60%);
          transform: translateY(60%);
  text-transform: uppercase;
}

.status {
  position: relative;
  width: 140px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
.status__percent {
  position: absolute;
  top: 36px;
  font-size: 28px;
  font-weight: 700;
  color: #ff5e03;
  opacity: 0;
  color: #fff;
  font-size: 20px;
  top: 82px;
  z-index: 1;
}
.status__percent.appear {
  -webkit-animation: appear 0.4s forwards;
          animation: appear 0.4s forwards;
}

.arrow {
  position: relative;
  height: 120px;
  width: 120px;
  cursor: pointer;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
.arrow__top {
  position: absolute;
  width: 14px;
  height: 120px;
  border-radius: 40px;
  background: #fff;
  -webkit-transition: all 0.8s ease;
  transition: all 0.8s ease;
}
.arrow__top.size {
  -webkit-transform: scaleY(0);
          transform: scaleY(0);
  border-radius: 50%;
}
.arrow__top-ball {
  position: absolute;
  top: 51px;
  width: 14px;
  height: 14px;
  border-radius: 50%;
  background: transparent;
}
.arrow__top-ball.move {
  -webkit-animation: move 2.2s ease forwards;
          animation: move 2.2s ease forwards;
  -webkit-animation-delay: 0.5s;
          animation-delay: 0.5s;
}
.arrow__left, .arrow__right {
  position: absolute;
  top: 82px;
  width: 80px;
  height: 14px;
  border-radius: 40px;
  background: transparent;
  -webkit-transition: all 0.8s ease;
  transition: all 0.8s ease;
}
.arrow__left {
  left: -4px;
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
}
.arrow__left.rotate {
  -webkit-transform: rotate(0deg) translateX(-10px);
          transform: rotate(0deg) translateX(-10px);
}
.arrow__right {
  left: 44px;
  -webkit-transform: rotate(-45deg);
          transform: rotate(-45deg);
}
.arrow__right.rotate {
  -webkit-transform: rotate(0deg) translateX(10px);
          transform: rotate(0deg) translateX(10px);
}
.arrow__fill {
  position: absolute;
  top: 84px;
  left: -10px;
  width: 140px;
  height: 25px;
  border-radius: 40px;
  visibility: hidden;
  background: #ff5e03;
}
.arrow__fill.fill {
  -webkit-animation: scale 5s forwards;
          animation: scale 5s forwards;
  -webkit-transform-origin: left;
          transform-origin: left;
}

@-webkit-keyframes appear {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes appear {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@-webkit-keyframes scale {
  0% {
    -webkit-transform: scaleX(0);
            transform: scaleX(0);
    visibility: visible;
  }
  100% {
    -webkit-transform: scaleX(1);
            transform: scaleX(1);
    visibility: visible;
  }
}
@keyframes scale {
  0% {
    -webkit-transform: scaleX(0);
            transform: scaleX(0);
    visibility: visible;
  }
  100% {
    -webkit-transform: scaleX(1);
            transform: scaleX(1);
    visibility: visible;
  }
}
@-webkit-keyframes move {
  0% {
    -webkit-transform: rotate(0deg) translate(0px, 0px);
            transform: rotate(0deg) translate(0px, 0px);
  }
  25% {
    -webkit-transform: rotate(0deg) translate(0px, 0px);
            transform: rotate(0deg) translate(0px, 0px);
  }
  50% {
    -webkit-transform: rotate(-15deg) translate(-120px, 0px);
            transform: rotate(-15deg) translate(-120px, 0px);
  }
  75% {
    -webkit-transform: rotate(0deg) translate(-120px, 31px);
            transform: rotate(0deg) translate(-120px, 31px);
  }
  100% {
    -webkit-transform: rotate(0deg) translate(0px, 31px);
            transform: rotate(0deg) translate(0px, 31px);
  }
}
@keyframes move {
  0% {
    -webkit-transform: rotate(0deg) translate(0px, 0px);
            transform: rotate(0deg) translate(0px, 0px);
  }
  25% {
    -webkit-transform: rotate(0deg) translate(0px, 0px);
            transform: rotate(0deg) translate(0px, 0px);
  }
  50% {
    -webkit-transform: rotate(-15deg) translate(-120px, 0px);
            transform: rotate(-15deg) translate(-120px, 0px);
  }
  75% {
    -webkit-transform: rotate(0deg) translate(-120px, 31px);
            transform: rotate(0deg) translate(-120px, 31px);
  }
  100% {
    -webkit-transform: rotate(0deg) translate(0px, 31px);
            transform: rotate(0deg) translate(0px, 31px);
  }
}